#!/bin/sh
#
# /etc/acpi/hotkeys.sh
#
# Processes ACPI events and dispatches to backlight/audiovolume

AUDIOVOLUME=/usr/bin/audiovolume
BACKLIGHT=/usr/bin/backlight
CONFFILE=/etc/default/osd-level
INCREMENT=1

# read configuration file
if ! [ -f $CONFFILE ]; then
	# switch to non-packaged files
	CONFFILE=$(dirname $0)/default.conf
fi
if [ -f $CONFFILE ]; then
	. $CONFFILE
	if [ "$BRIGTHNESS_HARDWARE" = "true" ]; then
		# brightness buttons are hardware mapped to screen brightness
		# no need to increment brightness twice
		INCREMENT=0
	fi
fi

case "$1" in
	button/mute)
		$AUDIOVOLUME toggle
	;;
	button/volumedown)
		$AUDIOVOLUME 1%-
	;;
	button/volumeup)
		$AUDIOVOLUME 1%+
	;;
	video/brightnessdown)
		$BACKLIGHT -$INCREMENT
	;;
	video/brightnessup)
		$BACKLIGHT +$INCREMENT
	;;
esac
